javax.persistence

## Enum ConstraintMode

- java.lang.Object
- - java.lang.Enum<ConstraintMode>
  - - javax.persistence.ConstraintMode

- All Implemented Interfaces:
    Serializable, Comparable<ConstraintMode>

      public enum ConstraintMode
      extends Enum<ConstraintMode>

  Used to control the application of a constraint.
  Since:
    Java Persistence 2.1

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONSTRAINT` Apply the constraint.
    `NO_CONSTRAINT` Do not apply the constraint.
    `PROVIDER_DEFAULT` Use the provider-defined default behavior.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConstraintMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConstraintMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONSTRAINT

          public static final ConstraintMode CONSTRAINT

      Apply the constraint.

    - #### NO_CONSTRAINT

          public static final ConstraintMode NO_CONSTRAINT

      Do not apply the constraint.

    - #### PROVIDER_DEFAULT

          public static final ConstraintMode PROVIDER_DEFAULT

      Use the provider-defined default behavior.

  - ### Method Detail

    - #### values

          public static ConstraintMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConstraintMode c : ConstraintMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConstraintMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.